# Note:  Most of this SQL is inspired by the Sourcemod team. 
# Something about imitation is highest form of flattery?
from sql_common import *
import constants
import time
#
# SQL Queries (MySQL flavored)
#


#
# Table Creation
#


CREATE_ADMINS_TABLE = """
 CREATE TABLE IF NOT EXISTS `af_admins` (
`id` INT NOT NULL AUTO_INCREMENT ,
`name` VARCHAR( 65 ) NOT NULL ,
`steamid` VARCHAR( 65 ) NOT NULL ,
`ip` VARCHAR( 65 ) NOT NULL ,
`flags` VARCHAR( 255 ) NOT NULL ,
`immunity` INT NOT NULL ,
`password` VARCHAR( 65 ) NOT NULL ,
PRIMARY KEY ( `id` )
) ENGINE = MYISAM ;
"""

CREATE_GROUPS_TABLE = """
 CREATE TABLE IF NOT EXISTS `af_groups` (
`id` INT NOT NULL AUTO_INCREMENT ,
`name` VARCHAR( 65 ) NOT NULL ,
`flags` VARCHAR( 255 ) NOT NULL ,
PRIMARY KEY ( `id` ) ,
UNIQUE (
`name`
)
) ENGINE = MYISAM 
"""

CREATE_ADMINS_GROUP_TABLE = """
 CREATE TABLE IF NOT EXISTS `af_admins_groups` (
`admin_id` INT NOT NULL ,
`group_id` INT NOT NULL
) ENGINE = MYISAM 

"""

CREATE_CONFIG_TABLE = """
 CREATE TABLE IF NOT EXISTS `af_config` (
`cfg_key` VARCHAR( 32 ) NOT NULL ,
`cfg_value` VARCHAR( 255 ) NOT NULL ,
PRIMARY KEY ( `cfg_key` )
) ENGINE = MYISAM 

"""

SET_TABLE_VERSION = """
 INSERT INTO af_config( cfg_key, cfg_value )
VALUES (
'admin_version', '%s'
) ON DUPLICATE
KEY UPDATE cfg_value = '%s' 

""" % (constants.version, constants.version)

SET_TABLE_TIME = """
 INSERT INTO af_config( cfg_key, cfg_value )
VALUES (
'update_time', '%s'
) ON DUPLICATE
KEY UPDATE cfg_value = '%s' 

""" % (int(time.time() ), int(time.time() ))


